LEA Class Reference

LEA 128-bit block cipher. More...

`#include <lea.h>`

Inheritance diagram for LEA:

## Classes

class | Base
| LEA block cipher transformation functions. More...
class | Enc
| Encryption transformation. More...
class | Dec
| Decryption transformation. More...

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from LEA_Info
static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

LEA 128-bit block cipher.

LEA provides 128-bit block size. The valid key size is 128-bits, 192-bits and 256-bits.

Note
  Crypto++ provides a byte oriented implementation

See also
  LEA, LEA: A 128-Bit Block Cipher for Fast Encryption on Common Processors

Since
  Crypto++ 8.0

Definition at line 54 of file lea.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Enc> LEA::Encryption

Definition at line 99 of file lea.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Dec> LEA::Decryption

Definition at line 100 of file lea.h.

The documentation for this class was generated from the following file:

- lea.h